%    24.02.04
%     ,  
lm=5;
ls=0.08;
lr=0.08;
rs=0.03;
rr=0.03;
j_m=15;
m_c=0.2;
Lsr=[ls+lm     0     lm     0;...
       0    ls+lm    0     lm;...
       lm      0   lr+lm    0;...
       0      lm      0   lr+lm];

Lsr1=inv(Lsr);
omega1=314.1593;
omega_k=314.1593;
omega_r=0;
sq2=sqrt(2);
t=0;
tetta_k=omega_k*t;
tetta_r=omega_r*t;
delta=2*3.141593/3;
As=2/3*[cos(tetta_k), cos(tetta_k-delta), cos(tetta_k+delta);...
        -sin(tetta_k),-sin(tetta_k-delta),-sin(tetta_k+delta);... 
              1/sq2,           1/sq2,             1/sq2           ];
Ar=2/3*[cos(tetta_k-tetta_r)  cos(tetta_k-tetta_r-delta)   cos(tetta_k-tetta_r+delta);  ...
   -sin(tetta_k-tetta_r)      -sin(tetta_k-tetta_r-delta) -sin(tetta_k-tetta_r+delta);  ... 
            1/sq2                          1/sq2               1/sq2                       ];
E1f=[sin(omega1*t);sin(omega1*t-delta);sin(omega1*t+delta)];
H=[1 0 -1;...
   0 1 -1];
E1=As*E1f;
Es=H*E1;
Esr= [H*E1;0; 0]
%   
omega1=1
omega_k=1;
omega_r=0;
betta=omega_k-omega_r;
Rsr=[      rs       -omega_k*(ls+lm)      0           -omega_k*lm;...
     omega_k*(ls+lm)    rs            omega_k*lm           0;...
           0        -betta*lm              rr       -betta*(lr+lm);...
       betta*lm          0           betta*(lr+lm)        rr]  
Jsr_0=inv(Rsr)*Esr
Jsr=Jsr_0;
m=lm*(Jsr(2)*Jsr(3)-Jsr(1)*Jsr(4));
global omega_k Lsr1 Esr ls lr lm rs rr j_m m_c m omega_r Jsr
Y0=[Jsr_0; 0; 0];
Y=Y0;
tspan=[0 100];
%T=[0.001;0.002;0.003;0.004;0.005;0.006;0.007;0.008;0.009;0.01];
T=[0.001];
[T,Y]=ode45('fct_mdp',tspan,Y0)
Km=size(Y);  %  
Kmax=Km(1);
k=1:Kmax;
Lmax=Kmax-1; %        
Jsr1=[Y(Kmax-Lmax:Kmax,1)];
M_omega_r=[Y(Kmax-Lmax:Kmax,5)];
M_tetta_r=[Y(Kmax-Lmax:Kmax,6)];
plot(T,Jsr1), grid
plot(T,M_omega_r), grid
plot(T,M_tetta_r), grid